2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.GtkCore.csproj: Added System.Core reference for
	  windows.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	  Track ProjectDomService/Parser API.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Track
	  API changes.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: Don't offer
	  the gtk feature if gtk# is not installed in the active
	  runtime. Fixes bug #608052 - The New Solution wizard throws
	  an exception after choosing project features.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.Dialogs/BindDesignDialog.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs:
	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs:
	* MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs:
	  More dialog placing.

2010-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	  Converted some static fields which don't need to be static
	  into local vars.

2010-05-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Track
	  API.

2010-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Track
	  AddFilesToProject API.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs:
	  ViewContent widgets are now destroyed by the workspace
	  window.


2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: call
	  destroy on the container vbox during

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs: Found better work
	  around for the "gnome-sharp" reference issue.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs: Fixed 'Bug 599335 -
	  Error CS0433: The imported type `Gtk.DeleteEventArgs' is
	  defined multiple times (CS0433)'.

2010-03-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Added
	  null check.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.GtkCore.addin.xml: Bumped MD version.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Use the
	  stock Visual Design layout as layout for stetic.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Fix
	  race in SteticApp initialization.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.GtkCore.csproj:
	* MonoDevelop.GtkCore.addin.xml:
	* MonoDevelop.GtkCore/GtkDesignInfo.cs:
	* MonoDevelop.GtkCore/ReferenceManager.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs:
	* MonoDevelop.GtkCore/ProjectResourceProvider.cs:
	* MonoDevelop.GtkCore.Dialogs/BindDesignDialog.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs:
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs:
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs:
	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs:
	* MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs:
	* MonoDevelop.GtkCore.Dialogs/GtkDesignerOptionsPanelWidget.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs:
	  Track api changes.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs:
	  Track API changes for lazy loading images.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: Track api
	  changes.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.GtkCore.Dialogs.GtkDesignerOptionsPanelWidget.cs:
	  Flush.

2010-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	  Track DisplayBinding API.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.GtkCore.csproj:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Format
	  generated files using the MD formatter to ensure that the
	  generated text is the same for al platforms and
	  environments.

	* gtk-gui/gui.stetic: Use global:: for type references in
	  generated code. 

2009-12-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs:
	  Implement SupportsItem.

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: When
	  adding a stock gtk widget to a window there is no need to
	  update the references. Fixes bug #565492.

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.GtkCore.Dialogs.GtkDesignerOptionsPanelWidget.cs:
	  Flush.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs:
	  Introduced the ConfigurationSelector class to all methods
	  that previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-11-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.NodeBuilders\WindowsFolder.cs:
	  Implemented Equals/GetHashCode. Fixes bug #549902 - MD
	  crashes when adding a new gtk form.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2009-10-21  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.GtkCore.csproj:
	* gtk-gui/MonoDevelop.GtkCore.Dialogs.GtkDesignerOptionsPanelWidget.cs:
	  Flush.

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Use
	  typed collection instead of ArrayList.

2009-10-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs:
	  Handled icon loading failures.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Route
	  commands to the text editor view. Fixes bug #536740 -
	  Expression evaluator unnecessarily in context menu.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* libstetic/editor/Accelerator.cs: 
	* libstetic/editor/GroupPicker.cs: 
	* libstetic/editor/TextEditor.cs: 
	* libstetic/editor/SelectImageDialog.cs: 
	* libstetic/editor/NonContainerWarningDialog.cs: 
	* libstetic/editor/TextEditorDialog.cs: 
	* libstetic/editor/EditIconDialog.cs: 
	* libstetic/editor/IconSelectorMenu.cs: 
	* libstetic/editor/Image.cs: 
	* libstetic/editor/ActionGroupEditor.cs: 
	* libstetic/editor/StringArray.cs: 
	* libstetic/editor/EditIconFactoryDialog.cs: 
	* libstetic/editor/SelectIconDialog.cs: 
	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs: 
	* MonoDevelop.GtkCore.Dialogs/BindDesignDialog.cs: 
	* MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Fixes to
	  make windows and dialogs Transient to either their parent
	  window/dialog or the MD root window (when applicable).

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ProjectResourceProvider.cs: Use real
	  resource Ids instead of file names. Fixes bug #528309 -
	  Button Icons are not displayed.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolder.cs: Store the
	  GuiBuilderProject on which the ChangedEvent was subscribed,
	  and use that reference when unsubscribing on Dispose. This
	  is required because the GuiBuilderProject bound to a project
	  may change. Fixes bug #525421 - Removing gtk-sharp reference
	  from a project causes it to not function properly.

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.addin.xml: Don't use the text editor
	  display binding id as reference for registering the designer
	  view. Use DefaultDisplayBinding instead. Removed unused
	  supportedFormats attribute.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	  Added support for saving and restoring the status of the
	  designer, including the undo queue. This allows implenting
	  ISupportsProjectReload.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.NodeBuilders/FolderNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/GuiBuilderProjectNodeBuilder.cs:
	  Remove unused files.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Use the
	  new AssemblyContext class to query and resolve assemblies.

2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.GtkCore.csproj:
	* MonoDevelop.GtkCore/Counters.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Added
	  some performance counters.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDocumentOutline.cs:
	  Track api changes.

2009-07-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: No more
	  missing IntPtr constructor exceptions.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ProjectResourceProvider.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Use the
	  new DesktopService instead of PlatformService.

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Track
	  assembly lookup APIs.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore\ProjectResourceProvider.cs:
	  GetMimeTypeForUri doesn't really support uris.

2009-06-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs:
	  GetGtkAssemblyVersion is expected to return the version and
	  token, not only the version.

2009-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore\ReferenceManager.cs: Don't get the
	  package version from the gtk# package. Instead, get it from
	  the first version numbers of the gtk-sharp assembly. That's
	  necessary because in windows there is no gtk# package.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs:
	  Workaround for what seems to be a mcs bug. Looks like it
	  can't properly resolve the implicit conversion of null to
	  string.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore\GtkDesignInfo.cs:
	* MonoDevelop.GtkCore.GuiBuilder\GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.GuiBuilder\GuiBuilderProject.cs: Use the
	  new FilePath class for handling file and directory paths.

2009-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Don't
	  create a new drop target list. Use the one defined by
	  Stetic.

2009-04-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.csproj: Don't require a specific gtk#
	  version.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.addin.xml: gui designer is now before
	  the text editor (wrong text editor id).

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	  Track API changes.

2009-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	  Track API changes.

2009-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs: Remove vte-sharp
	  from the gnome libs list, since it now has its own package.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore/GtkDesignInfo.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Track
	  API changes.

2009-04-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs:
	  Removed unused namespace.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs:
	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs:
	  Renamed PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs:
	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs:
	  Track API changes.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs: Moved
	  SystemAssemblyService and related classes to the namespace
	  MonoDevelop.Core.Assemblies.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/GtkDesignInfo.cs:
	* MonoDevelop.GtkCore/ReferenceManager.cs:
	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs:
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: Add
	  support for multiple target runtimes.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	  Track API changes.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: When the stetic files
	  are generated for the first time, ensure that their write
	  date is < the write date of the .stetic file, otherwise they
	  won't be regenerated when building. Fixes bug #483970 -
	  [Regression] Default C# Gtk# app no longer builds.

2009-03-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Flush.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs:
	  Don't try to generate files when not building inside the
	  IDE.

2009-02-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: In
	  ForceCodeGenerationOnBuild, force a rebuild of the project
	  too. Fixes bug #472683.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.csproj: Flush.

2009-02-26  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/ProjectResourcesProvider.cs: lookup mime
	type and use more specific ResourceInfo ctor. [Fixes #475820]

2009-02-26  Mike Kestner <mkestner@novell.com> 

	* libsteticui/WidgetDesignerBackend.cs: implement Delete key 
	support.  [Fixes #470637]

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Added
	  explicit "Misc" category for localization.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Worked on
	  propertygrid localization.

2009-02-25  Mike Kestner <mkestner@novell.com> 

	* libsteticui/ApplicationBackend.cs: Reload the registry libraries
	in LoadLibraries, since adding a library doesn't necessarily refresh
	an out-of-date previously registered library.
	* libsteticui/CecilWidgetLibrary.cs: enhance NeedsReload check to 
	use a cache refresh and the new change notification so that the
	library stays 'dirty' until it's reloaded.
	* libsteticui/LibraryCache.cs: add change notification for cache items.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: do an update
	of the steticapp libs even if the list hasn't changed in case the 
	contents of any of them have changed.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: check for 
	'dirty' references when regenerating code. [Fixes #472683]

2009-02-24  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: only touch the design file
	when forcing rebuilds.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: don't regen
	if design file and generated files have equal timestamps to avoid
	regenerations on fresh checkouts. [#478894]

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.addin.xml:
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs:
	  Track merge of the project pad context menu.

2009-02-18  Mike Kestner <mkestner@novell.com> 

	* libstetic/wrapper/ScrolledWindow.cs: when the child viewport itself
	is being replaced, don't try to remove the viewport from itself.
	* libstetic/wrapper/Viewport.cs: add case for when placeholders are
	being replaced by scrollable widgets to insert the new child directly
	into the parent scrolled window. [Fixes #404861]

2009-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: Fix
	  crash when the project's gtk# is not installed.

2009-02-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.csproj: Set correct resource name for
	  DrawingArea template.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Track api
	  changes.

2009-02-13  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build. Looks like the makefiles can't cope 
	  with resources with IDs.

2009-02-13  Mike Kestner <mkestner@novell.com> 

	* Makefile.am: add template resource
	* MonoDevelop.GtkCore.addin.xml: ditto.
	* templates/DrawingArea.xft.xml: new DrawingArea subclass template
	with stubs for OnExposeEvent, OnButtonPressEvent, OnSizeRequested,
	OnSizeAllocated, and ctor. Helps speed up the development of custom
	drawn widgets.  [Fixes #472665]

2009-02-11  Mike Kestner <mkestner@novell.com> 

	* libstetic/Registry.cs: account for reloading of the coreLib,
	since this can happen when dogfooding MD. [Fixes #365983]

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.csproj: Remove a local-copy ref.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.mds:
	* MonoDevelop.GtkCore.mdp:
	* MonoDevelop.GtkCore.csproj: Migrated to MSBuild file format.

2009-02-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.GtkCore.mdp:
	* MonoDevelop.GtkCore.addin.xml:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	* MonoDevelop.GtkCore.Dialogs/GtkDesignerOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.GtkCore.Dialogs.GtkDesignerOptionsPanelWidget.cs:
	  Added option for enabling/disabling auto-switch of the GUI
	  builder layout. Disabled from now on by default.

2009-02-04  Mike Kestner <mkestner@novell.com> 

	* libstetic/wrapper/objects.xml: explicit default values for Table
	NRows and NCols values so they don't default to 1.  Fixes #471242.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2009-02-02  Mike Kestner <mkestner@novell.com> 

	* libstetic/PropertyDescriptor.cs: null guard the ValueToString
	formatting for string arrays.

2009-02-02  Mike Kestner <mkestner@novell.com> 

	* libstetic/PropertyDescriptor.cs: handle empty string lists
	* libstetic/wrapper/ComboBox.cs: some more null guarding for Items.
	[Fixes #471244]

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: Propagate a
	policy parent SolutionItem through project/file creation so that
	policies can always be resolved correctly.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.mdp:
	* libsteticui/libsteticui.mdp: Flush project format changes.

2009-01-26  Mike Kestner <mkestner@novell.com> 

	* libstetic/wrapper/ActionTree.cs: guard against removing unsaved
	actions.  [Fixes #443472]

2009-01-22  Mike Kestner <mkestner@novell.com> 

	* libstetic/editor/StringArray.cs: display "(Collection)" in the
	label instead of a joined list on \n which displays garbage chars.
	This approach is consistent with another very popular IDE. ;-)
	* libstetic/wrapper/objects.xml: use Editor.StringArray for the Items
	property of ComboBox.
	* libstetic/wrapper/ComboBox.cs: switch Items to a string[].  Luckily
	this is backwards compat since we currently saved string[] as a newline
	join of the member strings.  [Fixes #405396]

2009-01-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.addin.xml: Don't serialize the GtkDesignInfo
	element when it is empty.

2009-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Added missing
	nullref check.

2009-01-13  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: adds a
	FileAddedToProject handler which scans the file for classes and
	checks the deleted-designs cache for matches to restore to the
	project.

2009-01-13  Mike Kestner <mkestner@novell.com> 

	* libsteticui/ProjectBackend.cs (RemoveWidget): export the widget
	to a deleted-designs dir for later recovery if necessary. Should
	also decide on some cleanup mechanism to remove old designs and
	automate recovery in the move case if possible.  Or we can wait for
	1wpf which should solve the move case more cleanly.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: reenable
	OnFileRemovedFromProject handler.  Revamp to use a ParseDocument of
	the removed file to scan for removed classes to kill.
	[Fixes #366392]

2009-01-09  Mike Kestner <mkestner@novell.com> 

	* libsteticui/Project.cs: forward isInternal to the backend in
	AddWidgetLibrary.

2009-01-08  Lluis Sanchez Gual  <lluis@novell.com>

	* libsteticui/LibraryCache.cs: Don't ignore internal classes when
	looking for widgets. If a widget is internal, set the "internal" flag
	to true. Don't abort AddObjects if there is an assembly resolution
	error.

2009-01-08  Mike Kestner <mkestner@novell.com> 

	* libsteticui/LibraryCache.cs : delay cache directory creation until
	files are going to be written to it.

2009-01-08  Lluis Sanchez Gual  <lluis@novell.com>

	* libsteticui/CecilWidgetLibrary.cs: Don't try to resolve full assembly
	paths.

2008-12-18  Mike Kestner <mkestner@novell.com> 

	* libstetic/editor/Flags.cs : fix cs0030 under new mcs.
	* libstetic/editor/FlagsSelectionDialog.cs : fix cs0030 under new mcs.
	* libstetic/editor/ResponseId.cs : fix cs0030 under new mcs.

2008-12-13  Mike Kestner <mkestner@novell.com> 

	* libstetic/wrapper/Container.cs: generate tooltips based on the target
	version, using the new Tooltip API for >= 2.12.  Fixes #372015.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/WidgetParser.cs: Properly search for subclasses of
	Gtk.Widget.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.mdp:
	* libsteticui/libsteticui.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Remove the mono
	version number comment from the generated files.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ReferenceManager.cs: Track API changes.

2008-12-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDocumentOutline.cs: Use an
	Alignment as the concrete Bin instead of custom InvisibleFrame.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/WidgetParser.cs: Optimized GetToolboxItems.

2008-12-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/WidgetParser.cs:
	* MonoDevelop.GtkCore/ObjectsDocument.cs: Getting the list of widgets is
	an expensive operation. It shouldn't be a property.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* MonoDevelop.GtkCore.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-12-01  Mike Kestner <mkestner@novell.com> 

	* libstetic/wrapper/objects.xml: move ToggleButton ahead of CheckButton
	and add ToggleButton signal item group to CheckButton.  Remove toggled
	signal from RadioButton since it inherits it from CheckButton.
	[Fixes #450237]

2008-11-25  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkCoreService.cs: refactor the default and 
	supported version checks into the ReferenceManager, with all the other
	package and assembly code.
	* MonoDevelop.GtkCore/ReferenceManager.cs: refactored default and 
	supported version properties. 
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: use new api.
	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: use new api.
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: use new api.

2008-11-23  Mike Kestner <mkestner@novell.com> 

	* *: I've typed lib/stetic/libstetic(ui) a few too many times.

2008-11-18  Mike Kestner <mkestner@novell.com> 

	* */Makefile.am: break the gnome/gconf-sharp dependencies.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: set up
	callbacks to the PlatformService for MIME resolution and showing
	urls.

2008-11-11  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: use the 
	new ForceUpdate method on the ProjectDom returned by GetParserContext
	to ensure a fully updated database.

2008-11-11  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: null guarding for
	all the things that can possibly go wrong with the parse in 
	GetClass.

2008-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Create the
	formInfos list when the project is loaded. This is necessary since
	the list is destroyed when the project is unloaded. Fixes bug #Bug
	431723 - Cannot build GTK applications with sln format.

2008-11-06  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	revert the context menu changes. Don't show them if the project has no
	gtk-sharp ref, only add the templates to the dialog, per Lluis.

2008-11-06  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	show Add Widget|Window|Dialog|ActionGroup template items in the context
	menu and Add File dialog even when the project has no Gtk# reference.

2008-11-05  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: needed to revert
	the >= to <= change from the 440435 fix since the refmgr is now 
	reporting TargetGtkVersion without Version=.  oops.

2008-11-05  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/ReferenceManager.cs: strip Version= out of
	TargetGtkVersion.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2008-10-30  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/ReferenceManager.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: 
	switch to a x.y TargetGtkVersion obtained by parsing the gtk-sharp
	reference version. Invert the version comparison in the toolboxitem
	filter.  We want toolbox items that are less than the project target
	version, not greater.  Fixes #440435.

2008-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Don't notify the
	file has changed unless the changes are saved to disk. Fixes bug
	#430497 - Widget names created in Stetic not available for
	autocomplete.

2008-10-29  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs (ShowPage): only
	regenerate the dummy structure when switching to the source page.

2008-10-28  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/ReferenceManager.cs: switch default updating
	to use the current assembly StoredReference version.  Avoids problems
	when the stored version has no corresponding installed package.
	Fixes #436246.

2008-10-27  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: don't store
	configuration on Project Save.  Avoids a crash due to file availability
	when saving config while loading and it's extraneous since we store
	the config on app exit and it contains no project specific props.

2008-10-22  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs (HasDesignedObjects): guard
	against null projects.

2008-10-21  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs (HasDesignedObjects): don't
	instantiate just to get the SteticFile. Avoids project file garbage.
	[Fixes #436201]

2008-10-21  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: guard against null
	documents returned from parse.  I think this is related to the old
	ErrorsDuringCompile check that was commented with the new parser port.
	[Fixes #436998]

2008-10-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: fixed TODO.

2008-10-03  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding:
	rework GetWindow method. now uses the ParsedDocument for a requested 
	file to check if any of its types have a GuiBuilderWindow.
	The existing method of walking the project windows list and using 
	the ProjectDom database to lookup their file locations is susceptible
	to timing problems due to imcomplete parse databases.  This method is
	probably slightly more efficient as well.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/ProjectResourceProvider.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Track API.

2008-09-23  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: bandaid to
	avoid exceptions when removing non-existent buttons.  Fixes #377414.

2008-09-23  Mike Kestner <mkestner@novell.com> 

	* lib/stetic/libsteticui/CecilWidgetLibrary.cs: don't hold assembly
	reference beyond load operation.  Recreate it on each load so we are
	always accessing the current assembly instance.  Only access cache 
	using filename.  Ensure Class description lookups cause spew to 
	console.
	* lib/stetic/libsteticui/LibraryCache.cs: enhance the path lookup
	logic in Refresh to avoid some churn on named lookups.
	* lib/stetic/libsteticui/ProjectBackend.cs: reload library if 
	necessary before getting component types.  Fixes #427334.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp: Updated projects.

2008-09-15  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCode.GuiBuilder/GtkProjectServiceExtension.cs:
	add the project stetic file to any generation warnings produced.
	Fixes #373244.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.mdp, lib/libstetic.mdp, lib/gtk-gui/generated.cs,
	  gtk-gui/generated.cs: Updated generated code.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs,
	  MonoDevelop.GtkCore/WidgetParser.cs: Track api changes.

2008-09-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Changes caused by
	  interface changes.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ProjectNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs: Moved
	  the extensible tree view to its own directory.

2008-08-27  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/WidgetFileDesciptionTemplate.cs: perform a 
	project save after the file insertions and updates.  This seems
	suboptimal, since it would probably be better to mark the project
	dirty and let the user save the project, but until we switch to
	one-widget-per-design-file, we probably need to save the project
	automatically to avoid problems.
	Fixes #385712.

2008-08-27  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	Restrict to DotNetProjects and verify ProjectFolders are for DNPs.
	Fixes #412448.

2008-08-22  Mike Kestner <mkestner@novell.com> 

	Fixes bug #413275 and delays more GtkDesignInfo-related project file 
	churn.
	* MonoDevelop.GtkCore/GtkCoreService.cs: init the refmgr on startup.
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Remove targetVersion field and
	associated prop.  Move reference updating logic to Ref Manager. Target
	Version is now exclusively tracked via reference version by the
	ReferenceManager.
	* MonoDevelop.GtkCore/ReferenceManager.cs: new class to encapsulate all
	reference management behaviors, from responding to user add removes to
	automated updates for designer projects.
	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: only show feature
	for projects which support refactoring, since it advertises designer
	support and that's not available without refactoring yet. Use refmgr
	for version updates.
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionsPanel.cs: use refmgr 
	for version info and suppress gettext options if no designed objects
	exist.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: use refmgr for 
	target version. 

2008-08-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs: Remove
	  the "resources folder" feature. Resources are now shown in the
	  solution tree like any other files. For a detailed explanation see
	  "Bug 381430 - [PATCH] Display resource files in main project tree".

2008-08-19  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: revert a silly
	change that was causing explicit paths to be inserted into gui.stetic
	files for gac references.  [Fixes #412960]

2008-08-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: fixed issue in
	  GetSourceCodeFile.

2008-08-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: fixed some
	  possible nullrefs.

2008-08-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.mdp, lib/libsteticui.mdp: re-set project
	  references (fix some libstetic.dll not found issue,  localcopy ==
	  true was missing).

2008-08-18  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: make HasDesignedObjects
	and SupportsDesigner static so that we can defer a few more instance
	creation scenarios.
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: 
	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: 
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/ProjectNodeBuilder.cs: 
	  Update to new static API.

2008-08-08  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Add a null
	  check.

2008-08-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: fixed possible
	  null references in the unload method.

2008-08-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Fix crash when looking for
	  designed objects in a project that doesn't support it.

2008-07-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Fixed some
	  issues.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs,
	  MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Translated
	  old code to new dom.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/ObjectsDocument.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Changes for converted
	  refactoring infrastructure.

2008-07-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/WidgetParser.cs,
	  MonoDevelop.GtkCore/ObjectsDocument.cs,
	  MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ClassUtils.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Worked on code
	  completion/new dom.

2008-07-24  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: get paths
	for gac references to simplify the lookup in stetic.

2008-07-23  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	Use HasDesignedObjects not SupportsDesigner.

2008-07-23  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: delay creation of guifolder
	until GuiBuilderProject is accessed. Refactor Bind into a Project
	property to gather all the connect/disconnects together. Add new
	HasDesignedObjects prop for when SupportsDesigner doesn't cut it.
	* MonoDevelop.GtkCore.NodeBuilders/ProjectNodeBuilder.cs: use new
	HasDesignedObjects prop.
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs:
	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: don't 
	need to update the folder for these options any more.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs: get
	GuiBuilderProject from design info directly. 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: kill 
	BeforeCompile handler and GetGuiBuilderProject method. Use new
	HasDesignedObjects to control code generation.
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs: kill 
	GenerateSteticCode field. It was always set to true. Use new
	HasDesignedObjects prop to control generation.

2008-07-22  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Connect to project file
	events and trigger objects.xml updates. Translate a confirm button
	label.  Require AddAttribute refactoring.
	* MonoDevelop.GtkCore/ObjectsDocument.cs: new class reinstating some
	old document updating code and adding some new.  Inserts ToolBoxItem
	and Category attrs into sources for a first-time "upgrade" to enable 
	the attr-sync feature now controlled by a root attribute on the 
	document.
	* MonoDevelop.GtkCore/WidgetParser.cs: new class reinstating some
	old parsing code and adding some new.  This will become the home
	for all source parsing in the addin. Refactoring to come...
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Add WidgetParser
	prop.  Remove Debug spew.
	
2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs,
	  MonoDevelop.GtkCore/GtkDesignInfo.cs: Moved serialization engine to
	  MonoDevelop.Core. Use new syntax for specifying attribute scope.

2008-07-15  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: add an updatingVersion 
	state to prevent warning when we are adjusting reference versions.

2008-07-15  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: add a user confirmation for
	disabling the designer on reference removal.  Leave the stetic.gui
	and objects.xml files on disk, though we still remove them from the 
	project.

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Fixed possible
	  null reference.

2008-07-10  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs (FromProject): return an 
	empty instance for non-DotNetProjects which will report false
	on SupportsDesigner.

2008-07-10  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore/GtkCoreService.cs: Gutted.  Moved everything
	that took a Project parameter to GtkDesignInfo. Removed all the 
	enable/disable/get info methods replaced by GtkDesignInfo.FromProject.
	Killed all the objects file updating. Moved designer support checks
	to DesignInfo.
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Add FromProject static
	method to replace GtkCoreService.GetGtkInfo. Remove ExportedWidgets
	and IsWidgetLibrary functionality. Enable and disable designer based
	on presence of gtk-sharp reference on projects. Refactor/move code 
	generation to GuiBuilderProject from UpdateGtkFolder. Kill 
	GeneratePartialClasses since it's a simple project property access 
	and all users of GtkDesignInfo access it via the project. Moved 
	Refactory checks from GtkCoreService to encapsulate SupportsDesigner.
	Fix Reference updating checks for Mono.Posix, since the 
	StoredReference returns a simple name for it.
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: switched to 
	FromProject api.  Killed ExportedWidget handling.
	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: removed widget
	library checkbox. s/Gtk#/GTK# for consistency. Updated to new
	DesignInfo API.
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: removed
	all the Exported Widgets and WidgetLibrary tab stuff, simplified to
	a vbox and hand-written to remove glade taint.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs: 
	switched to new DesignInfo API.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: 
	switched to new DesignInfo API. moved gui folder file generation
	here instead of DesignInfo iterating over builder properties.
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: 
	Added category mangling for ToolboxItems so that they are placed
	by project.
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/ProjectNodeBuilder.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolder.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs: 
	switched to new DesignInfo api.
	* templates/Widget.xft.xml: add ToolboxItem attr.
	* templates/WidgetPartial.xft.xml: add ToolboxItem attr.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2008-05-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Explicitly set the resource ids
	  for gui.stetic and objects.xml, since msbuild uses different
	  default ids.

2008-05-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: Track api
	  changes.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Merged the extension points for
	  project and solution option panels into a single extension point. A
	  single extension point will now be used for all kinds of items.
	  Extension conditions can be used to make panels visible only for
	  some specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs:
	  Replaced ICompilerResult/DefaultCompilerResult/CompilerResults by a
	  new BuildResult class, which has owner information at error level,
	  so it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/GtkCoreService.cs,
	  MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs,
	  MonoDevelop.GtkCore/ProjectResourceProvider.cs,
	  MonoDevelop.GtkCore.addin.xml,
	  MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs,
	  MonoDevelop.GtkCore.mdp,
	  MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs,
	  MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs,
	  MonoDevelop.GtkCore.mds, lib/libsteticui.mdp, lib/libstetic.mdp,
	  Makefile.am,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: New project
	  model changes.

2008-05-20  Mike Kestner <mkestner@novell.com> 

	* templates/Widget.xft.xml:
	* templates/WidgetPartial.xft.xml:
	Mark the custom widgets Visible=false to conform to the Gtk convention
	of widgets being shown explicitly.  [Fixes #364985]

2008-05-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Track API. Mark up
	  for property grid.

2008-05-13  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: use new
	Stetic.ApplicationFactory api.

2008-05-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Track API.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.addin.xml, MonoDevelop.GtkCore.mdp, gtk-gui,
	  gtk-gui/generated.cs, gtk-gui/gui.stetic, Makefile.am,
	  icons/pad-widget-tree-16.png,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDocumentOutline.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProjectPad.cs: Implement
	  IOutlinedDocument instead of custom pad. Set GTK# version to 2.8.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp: Removed unneeded dependency.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: fixed bugfix (thanks
	  ankit)

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Fixed possible null
	  reference exception.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Worked on gnome hig
	  compliant alerts.

2008-03-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Fixed null ref.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Refactored content
	  interfaces

2008-02-28  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.mdp: Set correct makefile ver for files.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Worked on category
	  support for the toolbox service.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.mdp, lib/libsteticui.mdp: Removed some unused glade
	  and gnome-sharp references (only the unused). But I'll continue to
	  remove glade, we need to lower the dependency tree a bit.

2008-02-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Added IViewContent
	  switching logic (but should be done centrally using the secondaryview
	  paradigmn).

2008-02-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Workaround for mono bug
	  #350432.

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs: Handle the delete
	  key in TreeViewPad, so it will work event if the shortcut is not
	  defined.

2008-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml, MonoDevelop.GtkCore.mdp, Makefile.am,
	  icons/pad-widget-tree-16.png: Added widget tree icon.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Update MD version.

2008-01-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.Dialogs/BindDesignDialog.cs,
	  MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs,
	  MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: Made internal
	  some classes that don't need to be public.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Notify file changes
	  through the FileService.

2008-01-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Stetic code must be
	  generated in the GUI thread. Should fix bug #349505.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Feed default layout
	  name to Gettext for translation.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/WidgetPartial.xft.xml, templates/Widget.xft.xml,
	  templates/WindowPartial.xft.xml, templates/ActionGroupPartial.xft.xml,
	  templates/Window.xft.xml, templates/ActionGroup.xft.xml,
	  templates/DialogPartial.xft.xml, templates/Dialog.xft.xml: Make template
	  categories translatable.

2008-01-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Added null check on the
	  result of UpdateFile. Should fix bug #352194.

2008-01-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ProjectNodeBuilder.cs,
	  MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/GtkCoreService.cs,
	  MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs,
	  MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs: Handle
	  projects which don't support the GTK# designer. Window and widget
	  generation options are hidden, and code is never generated. Fixes bug
	  #350632.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Don't update bindings if the
	  file has syntax errors. May fix bug #347590.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Bump add-in versions.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Update after build reorg.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* Makefile.am: Only build the GtkCore addin if we have gnome-sharp 
	  available.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp, lib/libsteticui.mdp, lib/libstetic.mdp,
	  Makefile.am: Directory reorganization.

2007-11-20  Lluis Sanchez Gual <lluis@novell.com> 

	* gui.glade, MonoDevelop.GtkCore.Dialogs/BindDesignDialog.cs: Removed
	  Gnome.FileEntry.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs: Track
	  LoggingService API changes.

2007-11-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs: Use RootCombine
	  instead of CurrentOpenCombine when possible.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Fix nullref. Happens
	  when removing a project from a solution while one of the windows of that
	  project is open.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* templates/ActionGroup.xft.xml, templates/ActionGroupPartial.xft.xml,
	  templates/Dialog.xft.xml, templates/DialogPartial.xft.xml,
	  templates/Widget.xft.xml, templates/WidgetPartial.xft.xml,
	  templates/Window.xft.xml, templates/WindowPartial.xft.xml: Use tango
	  file icons. Removed obsolete icons.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: Track api changes. Added
	  Description property.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.mdp, lib/libstetic.mdp: Project file names updated by
	  change in MD path functions.

2007-10-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mds, Makefile.am: Added custom command for updating
	  the Stetic sources.

2007-10-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Set a more meaningful category name for
	  addin commands.
	* MonoDevelop.GtkCore.mdp, MonoDevelop.GtkCore.mds: Updated.

2007-10-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: If the current selection
	  can't be deleted, just ignore the delete command, so the default handler
	  will be executed. Fixes bug #325440.

2007-10-16  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libstetic.mdp: Fix required gtk# version.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/GtkCoreService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Applied changes that
	  were neccassary for to the new FileService.

2007-10-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: Changed calls for
	  the new StringParser.

2007-10-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: In Bind(), don't subscribe the
	  NameChanged event at every call.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: The designer needs to
	  be explicitely destroyed.

2007-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: No need to implement
	  IComparable; it's done in the base class now.

2007-09-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: Assign the selected
	  target gtk# version to the new project.

2007-09-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Use ProjectReference.StoredReference
	  rather than ProjectReference.Reference, in order to refer to the actual
	  stored reference string rather than a temporarily bumped version.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Implemented an
	  assembly resolver for the stetic app, so assembly widgets registered
	  with .pc files can be found.
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs: If a widget dll belongs
	  to a package, store it as a package reference in the toolbox index.

2007-09-19  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Allow setting TargetGtkVersion to
	  DefaultGtkVersion when current value is null.

2007-09-19  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Don't touch GTK# assembly versions
	  when a target version is not set. Don't use gtkVersion=null to represent
	  default version.
	* MonoDevelop.GtkCore/GtkCoreService.cs: Set TargetGtkVersion on new
	  projects. Bump default version to 2.8.

2007-09-17  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.mdp, lib/libsteticui.mdp, lib/libstetic.mdp,
	  lib/Makefile.am, MonoDevelop.GtkCore.mds, Makefile.am: Use projects for
	  imported stetic libraries.

2007-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Removed access to
	  Component object.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Remove unused method.

2007-09-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.Dialogs/SelectRenamedClassDialog.cs,
	  MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs,
	  MonoDevelop.GtkCore.Dialogs/BindDesignDialog.cs,
	  MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs: Fix warnings.

2007-09-13  Michael Hutchinson <mhutchinson@novell.com> 

	* lib/stetic, Makefile.am, lib/Makefile.am: Build stetic from 
	  svn:externals.
	* lib/libsteticui.dll.config, lib/libstetic.dll.config,
	  lib/libstetic.dll, lib/libsteticui.dll: Removed.

2007-09-10  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/WidgetPartial.xft.xml, templates/Widget.xft.xml,
	  templates/WindowPartial.xft.xml, templates/Window.xft.xml,
	  templates/ActionGroupPartial.xft.xml, templates/ActionGroup.xft.xml,
	  templates/DialogPartial.xft.xml, templates/Dialog.xft.xml: Remove
	  deprecated FileOptions element from templates.

2007-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Changed the way to
	  set the active designer (the api changed). Fixed some renaming issues.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProjectPad.cs: Track api changes.

2007-09-07  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/Window.xft.xml: Oops, PartialTypeSupport should be set to
	  Disabled for non-partial window.

2007-09-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.GtkCore.mdp, Makefile.am: Updated.
	* MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/GtkCoreService.cs: Use DotNetProject.UsePartialTypes
	  instead of custom setting.
	* MonoDevelop.GtkCore/WidgetFileTemplatePartialClass.cs,
	  MonoDevelop.GtkCore/WidgetFileTemplateFullClass.cs: No longer needed.
	* templates/WidgetPartial.xft.xml, templates/Widget.xft.xml,
	  templates/WindowPartial.xft.xml, templates/Window.xft.xml,
	  templates/ActionGroupPartial.xft.xml, templates/ActionGroup.xft.xml,
	  templates/DialogPartial.xft.xml, templates/Dialog.xft.xml: Use
	  PartialTypes condition instead of custom file template.

2007-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	  Includes fixes for bugs #82671, #82527, #82476, #81763 and #81238.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/PropertiesWidget.cs: Changes due to new
	  property infrastructure.

2007-08-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/GtkCoreService.cs: By default use the project name
	  as category name for new custom widgets.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Don't show the full
	  name of widgets in the toolbar.

2007-08-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: In FindClass, make
	  sure the getUserClass parameter is taken into account when the found
	  class is not a multi-part class. Fixes bug #82258.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Removed the CommandService class.
	  Everything is done directly with CommandManager. Moved all extension
	  node types to MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml,
	  MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs,
	  MonoDevelop.GtkCore.mdp, Makefile.am: Reorganized the extension point
	  hierarchy. Embedded all add-in manifests as resources.
	* lib/libstetic.dll: Updated from stetic module.

2007-08-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Improved error
	  reporting.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Converted
	  DispatchService to a static class.

2007-08-01  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libstetic.dll: Updated.

2007-07-31  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Fixed some
	  problems with the target gtk version. It was not assigned to the
	  stetic project. Also fixed some stock icon rendering issues in
	  Stetic.

2007-07-31  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	  Includes a nullref fix.

2007-07-30  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Layout switch
	  delay is not needed anymore.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: Fix nullref
	  when gtk support is not enabled. Patch by Chris Howie.

2007-07-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	  Don't try to use the CurrentNode property after adding the file,
	  since it may have changed. Should fix bug #82123.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from Stetic module.
	  Fixes bugs #81846 and #82144.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Fix window
	  source file lookup.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Use the new methods
	  for checking clipboard operations on the current selection.
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Include the
	  current project in the list of libraries to show in the toolbox.
	  Fixes bug #82125.

2007-07-10  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated. Fixes bugs 81977,
	  81810 and 82052.

2007-07-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Properly rename
	  fields when the widget name is changed. Fixes bug #81976.

2007-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProjectPad.cs: Update the
	  properties pad when the focus is on the widget tree pad. Fixes bug
	  #81971.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from Stetic module.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Added null
	  check.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Track api changes
	  in DesignerSupport. When adding a project reference to a widget
	  library, take into account that widgets may be implemented in a
	  library different from the one providing the widget list.
	* MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: In
	  GetDynamicItems, only return widgets provided by libraries
	  referenced by the project. Don't return widgets from libstetic
	  since those are already included by default in the toolbox.
	  Implemented IToolboxDefaultProvider.

2007-07-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Changed a bit
	  because of the removal of custom collections in the Ide project.

2007-06-30 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* gui.glade: Fixed capitalization.

2007-06-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs: Don't show windows
	  in the toolbox.
	* lib/libstetic.dll, lib/libsteticui.dll: Updated from Stetic module.

2007-06-22  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from Stetic module.

2007-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* gui.glade, MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/GtkCoreService.cs,
	  MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs,
	  MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: Allow selecting
	  the target GTK# version of the project.
	* MonoDevelop.GtkCore.addin.xml, MonoDevelop.GtkCore.mdp, Makefile.am,
	  MonoDevelop.GtkCore.GuiBuilder/ToolboxLoader.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Implemented a
	  toolbox loader, which allows registering assemblies in the toolbox.
	  When a widget from a toolbox is dropped to a window, MD will now
	  add a reference to the required assembly.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.

2007-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll: One last update.

2007-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from Stetic module.

2007-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Set the import
	  file callback when editing project stock icons.
	* MonoDevelop.GtkCore/ProjectResourceProvider.cs: The GetResources
	  method only returns resource files now.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.

2007-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProjectPad.cs: Default pad
	  placement is now specified in the xml file.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkCoreService.cs: In GetBaseType, use
	  Project.GetWidgetTypes to get all registered wiget types, including
	  base widget types (which were not provided by GetComponentTypes).
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	  Includes fix for bug #81785.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkCoreService.cs: Don't include non-public
	  members to the objects.xml file.

2007-05-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp: Updated.
	* MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs: Fix feature message.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from Stetic module.
	  Includes fixes for bugs #81761, #81758 and #81762.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs:
	  (UpdateLibraries) Properly check for library changes.

2007-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	  Fixes bugs #80783 and #81683.

2007-05-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp, Makefile.am: Added new dependency.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from svn. Fixes bug
	  #81590.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: When selecting an
	  image file in the widget designer, import the file into the
	  project.

2007-05-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Added some delay
	  in the code that changes the workbench layout when selecting the
	  designer. Fixes bug #80963.

2007-05-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml, MonoDevelop.GtkCore.mdp, Makefile.am,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderPalettePad.cs: Removed old
	  palette pad.
	* MonoDevelop.GtkCore/GtkCoreService.cs: Set the 'internal' flag for
	  widgets implemented by private classes.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from svn module.
	  Fixes bugs #80875, #81261, #81365.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: If the project
	  is a library, add itself as an internal widget library, so widgets
	  with internal visibility will be shown.
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: When saving a window,
	  use the visibility of the class to set the visibility of the
	  component. Together with all changes done in stetic, fixes bug
	  #80875.

2007-05-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs,
	  MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs,
	  MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Track api changes in
	  Stetic.
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: Delay
	  library updating until really necessary.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp: Copy the .addins.xml file to the output dir.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp: Copy stetic dlls together with the assembly.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp, Makefile.am: Reference shared assemblies
	  from the correct location.

2007-05-04  Wade Berrier  <wberrier@novell.com> 
	* lib/libstetic.dll.config:
	* lib/libsteticui.dll.config:
	Fix os attribute formats (mono-config.c separates oses by comma, 
	and ignores or includes the whole string.)

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml, MonoDevelop.GtkCore.mdp, Makefile.am:
	  Migration to Mono.Addins.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml, MonoDevelop.GtkCore.mdp,
	  MonoDevelop.GtkCore.Dialogs/GtkFeatureWidget.cs, Makefile.am:
	  Implemented project feature for enabling gtk# support in new
	  projects.
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs: Use
	  Menu icon size in the project pad.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.

2007-04-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs: Show a
	  relative path in the window delete confirm dialog, since the
	  absolute path may take too much space.
	* MonoDevelop.GtkCore.mdp: Updated.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	* templates/DialogPartial.xft.xml, templates/Dialog.xft.xml: Add
	  Ok/Cancel buttons by default in new dialogs.

2007-03-28  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	  Includes fixes for bugs 81033, 81086, 81239, 81143, 81014 and
	  81015.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Allow pasting when
	  a placeholder is selected. Fixes bug #81246.

2007-03-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml,
	  MonoDevelop.GtkCore.NodeBuilders/StockIconsNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs,
	  MonoDevelop.GtkCore.mdp, Makefile.am, icons/image-x-generic.png:
	  Show a "Stock Icons" node in the User Interface folder. It's easier
	  to discover than the context menu option.
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore.Commands/GladeCommands.cs: Added menu option
	  for opening the gtk# settings.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Don't crash if
	  the gtk-gui folder doesn't exist. Fixes bug #81152.
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Hide the border
	  of the combined view notebook.

2007-03-08  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libstetic.dll: Updated from stetic module. Fixes NRE crash.

2007-03-08  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Fix null ref.

2007-03-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Register a new toolbox loader. Removed
	  old properties pads.
	* MonoDevelop.GtkCore.mdp, Makefile.am: Added reference to
	  MonoDevelop.DesignerSupport.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from svn module.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/PropertiesWidget.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ToolboxProvider.cs: Integrate Stetic
	  widgets in the main toolbox.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs: Implement
	  ICustomPropertyPadProvider and return the Stetic property pad.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderPropertiesPad.cs: Renamed.
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Fix warning.

2007-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	Updated from Stetic module. Includes fix for bug #80864.

2007-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from SVN. Fixes some
	  memory leaks and bug #79453.
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Explicitely
	  destroy notebook children, since notebook doesnt do it because of a
	  gtk bug.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Some fixes in the
	  dispose code.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs: Use
	  ProjectOperations.SaveProject to save projects.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Fix nullref.
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs: Log
	  error message.
	* Makefile.am, MonoDevelop.GtkCore.mdp: Synchronized MD project and
	  makefile.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Avoid throwing
	  delayed events after the project has been disposed.

2007-02-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Added missing
	  null check.

2007-02-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Ask for user
	  confirmation when reloading a designer only when the designer has
	  unsaved changes.

2007-02-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/WindowsFolder.cs,
	  MonoDevelop.GtkCore/GtkDesignInfo.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Detect external
	  changes in the gui.stetic files, and reload it when it changes.
	  Take into account that the load of gui.stetic can fail. Added
	  several workarounds for this case.

2007-02-13  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from SVN. Includes
	  fixes for bugs #80722, #79427 and #80127.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Store some
	  Stetic configuration in the MD properties.

2007-02-09  Lluis Sanchez Gual <lluis@novell.com> 

	* gui.glade, MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Added options
	  for enabling/disabling gtk support, and for gettext support.
	* MonoDevelop.GtkCore.addin.xml: Change options panel name.
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs: Make sure the
	  MD project is saved together with the stetic project, if necessary.
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs,
	  MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: Avoid saving
	  the MD project twice.
	* MonoDevelop.GtkCore.NodeBuilders/ProjectNodeBuilder.cs: If gtk
	  integration status changes for a project, refresh the tree.
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolder.cs: Null check.
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Added support for gettext and
	  gettext class options for generated code.
	* MonoDevelop.GtkCore/GtkCoreService.cs: Added events for notifying
	  when the gtk integration status changes for a project.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	* Makefile.am: distcheck fixes
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs,
	  MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: When a designer
	  project is disposed, hide the designer view in the editor.
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs:
	  Factorized some code into GtkDesignInfo.

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Make sure the code generation
	  extension is executed before the last step.
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	  Hide the add window commands when the project is not DotNet
	* MonoDevelop.GtkCore.mdp, lib/libsteticui.dll, lib/libstetic.dll:
	  Updated.

2007-02-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Intercept calls
	  to the IPositionable interface, and show the editor page when
	  jumping to a line.

2007-02-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: When looking for
	  the window class, avoid returning the generated partial class.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Show the editor
	  page when jumping to a signal handler.

2007-02-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Warn the user if
	  the gtk-sharp-2 package can't be found. Some distros don't include
	  the .pc file in the gtk# package, only in the -devel package.

2007-02-02  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libsteticui.dll, lib/libstetic.dll: Updated from Stetic module.

2007-01-31  Lluis Sanchez Gual <lluis@novell.com> 

	* lib/libstetic.dll.config, lib/libsteticui.dll, lib/libstetic.dll,
	  lib/libsteticui.dll.config: Updated from Stetic module.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs,
	  MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs: Track api
	  changes in Document class.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated form Stetic module.
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Removed
	  implementation of all text editor interfaces. Now the view
	  overrides GetContent and calls editor.GetContent when a requested
	  interface is not found.

2007-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.mdp: Updated.
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Removed unused namespace.
	* MonoDevelop.GtkCore/GtkCoreService.cs: Use the new base-type property
	  to describe custom widgets. When looking for properties and events,
	  look in the base classes as well as in the widget class.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	* Makefile.am,
	  MonoDevelop.GtkCore.WidgetLibrary/ProjectClassDescriptor.cs,
	  MonoDevelop.GtkCore.WidgetLibrary/ProjectSignalDescriptor.cs,
	  MonoDevelop.GtkCore.WidgetLibrary/BaseWidgetLibrary.cs,
	  MonoDevelop.GtkCore.WidgetLibrary/AssemblyReferenceWidgetLibrary.cs,
	  MonoDevelop.GtkCore.WidgetLibrary/ProjectPropertyDescriptor.cs:
	  Removed unused files. All widget library functionality has been
	  moved to stetic.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Removed all
	  widget library management, which has been moved to Stetic.
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Added some null checks.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Use the new way
	  of managing dependencies in projects.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  templates/WindowPartial.xft.xml, templates/Window.xft.xml: The
	  window constructor now takes the window type.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Some gui
	  improvements and added some null checks.

2007-01-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Don't crash if the
	  designer can't be loaded for some reason.

2007-01-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml,
	  MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs,
	  MonoDevelop.GtkCore/GtkCoreService.cs,
	  MonoDevelop.GtkCore/WidgetFileTemplatePartialClass.cs,
	  MonoDevelop.GtkCore/WidgetFileTemplateFullClass.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs,
	  MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs,
	  templates/WidgetPartial.xft.xml, templates/Widget.xft.xml,
	  templates/WindowPartial.xft.xml, templates/Window.xft.xml,
	  templates/ActionGroupPartial.xft.xml,
	  templates/ActionGroup.xft.xml, templates/DialogPartial.xft.xml,
	  templates/Dialog.xft.xml: Implemented support for generating code
	  in partial classes.
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs: Use the
	  correct method for saving the project.
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolder.cs: Refresh the user
	  interface folder when the gui project is reloaded.
	* MonoDevelop.GtkCore.mdp: Updated.
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Added support for partial
	  classes. In the GuiBuilderProject property, don't update the
	  gtk-gui folder since this call may change the contents of the
	  project, and weird things happen when called by the project pad to
	  fill the tree.
	* lib/libsteticui.dll, lib/libstetic.dll: Updated from stetic module.
	* Makefile.am: Added new files.
	* MonoDevelop.GtkCore.WidgetLibrary/BaseWidgetLibrary.cs,
	  MonoDevelop.GtkCore.WidgetLibrary/AssemblyReferenceWidgetLibrary.cs:
	  Make it work even when the assembly it references has been deleted
	  (maybe as a result of cleaning a project). In this case the widget
	  library is shown as empty.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Added support
	  for Loading/Unloading a project, to optimize use of memory for
	  solutions with many gui projects. Implemented support for
	  generating code in partial classes.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs,
	  MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Implemented
	  support for generating code in partial classes. Implemented support
	  for UNDO/REDO.
	* MonoDevelop.GtkCore.GuiBuilder/GtkProjectServiceExtension.cs:
	  Generation of gui code is now done from the Build method of a
	  project service extension. Fixes some issues when building a
	  project which contains custom components.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkCoreService.cs: Track API changes in
	  FileService.

2006-12-13 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Don't
	generate stetic code if CurrentOpenCombine is null.

2006-12-07 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.GtkCore.mdp: Updated to it can be
	built from MonoDevelop.

2006-11-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Simplified the
	  code by using global events from the Ide, instead of combine
	  events.

2006-10-18 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Added RemoveExportedWidget method.
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: track
	  API changes.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: If the name of a
	  widget changes and it is being exported, update it in the objects.xml
	  file. Fixes bug #79656.

2006-09-23 Lluis Sanchez Gual  <lluis@novell.com> 

	* lib/*: Updated from Stetic module. It provides a redesigned API
	  which will allow running designers in a separate process.
	
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs:
	* MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs:
	* MonoDevelop.GtkCore.WidgetLibrary/AssemblyReferenceWidgetLibrary.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderPropertiesPad.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderPalettePad.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProjectPad.cs:
	  Track api changes.
	
	* MonoDevelop.GtkCore.WidgetLibrary/BaseWidgetLibrary.cs: Make sure
	  parse information is up to date before loading an assembly library.
	* MonoDevelop.GtkCore/ProjectResourceProvider.cs: Make sure this object
	  is always alive when remoted.
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Added null check.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs: Not needed anymore.
	* MonoDevelop.GtkCore.addin.xml: Removed build step. Code generation
	  is done now before compiling.
	  
	* MonoDevelop.GtkCore.WidgetLibrary/ProjectWidgetLibrary.cs:
	* MonoDevelop.GtkCore.WidgetLibrary/CachedProjectWidgetLibrary.cs:
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: ProjectWidgetLibrary is not used
	  anymore. All libraries are now handled by AssemblyReferenceWidgetLibrary.
	  
	* MonoDevelop.GtkCore.GuiBuilder/MonoDevelopWidgetActionBar.cs:
	* MonoDevelop.GtkCore.GuiBuilder/MonoDevelopActionGroupToolbar.cs:
	  Moved to Stetic.

	* Makefile.am:
	* MonoDevelop.GtkCore.mdp: Updated.

2006-09-23 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Track api changes.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* .: Added svn:ignore for MonoDevelop.GtkCore.pidb

2006-09-01 Lluis Sanchez Gual  <lluis@novell.com> 

	* lib/*: Updated from stetic module. Includes fix for bug #79247.
	
2006-09-01 Lluis Sanchez Gual  <lluis@novell.com>

	* lib/*: Updated from stetic module.
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	  Save the project after editing the icons.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Set the
	  ResourceProvider for the main stetic project. Added null check.

2006-08-30 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Fixed bug about 
	  adding the wrong widget as action designer page.

2006-08-30 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkCoreService.cs: Only export properties which
	  return primitive types. Fixes bug #79195.
	* lib/*: Updated from stetic module.
	* MonoDevelop.GtkCore.Dialogs/BindDesignDialog.cs: Unsubscribe close
	  event when done.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Handle designer
	  commands in its own tab page.
	  
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs: Explicitely dispose
	  custom widgets to avoid memory leaks.
	  
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Track api changes.
	
	* MonoDevelop.GtkCore.mdp: Updated.

2006-08-18 Lluis Sanchez Gual  <lluis@novell.com> 

	* gui.glade: Minor fix.
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs: Track api
	  changes.
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Stetic files don't need
	  to be added as resource to projects.
	* MonoDevelop.GtkCore.Dialogs/ConfirmWindowDeleteDialog.cs: Make it
	  work for action groups.
	* lib/*: several fixes.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Added method
	  for removing an action group.
	  
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Track API changes
	  in Stetic. Properly bound edit commands from the main menu.
	
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs:
	* MonoDevelop.GtkCore.addin.xml: Implemented Open and Delete
	  commands for global action groups.
	  
	* MonoDevelop.GtkCore.mdp: Updated.

2006-08-11 Lluis Sanchez Gual  <lluis@novell.com> 

	* lib/*: Updated from Stetic module. Includes fixes for
	  bugs #79043, #79044 and #79045
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs: Don't
	  crash if something goes wrong when binding a class.
	  Fixed nullref.

2006-08-04 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	  CreateContentForFile should not load the file, just create
	  the view.
	  
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Add
	  support for IEncodedTextContent.

2006-08-01 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs:
	  Set the resource provider before loading the project.
	  Fixes bug #78966.
	  
	* libs/*: Updated from Stetic module. Fixes several bugs:
	  78938, 78916, 78909, 78956, and 78867.

2006-07-27 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.GtkCore.WidgetLibrary/ProjectClassDescriptor.cs:
	  Added null check.
	  
	* MonoDevelop.GtkCore.WidgetLibrary/AssemblyReferenceWidgetLibrary.cs:
	  Get the parser context using the assembly file name, not the full
	  assembly name.

2006-07-25 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.GtkCore/GtkDesignInfo.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Factorized several
	  more or less duplicate methods into GuiBuilderProject, specially
	  methods for locating the class bound to a window. GuiBuilderProject
	  now will explicitelly update the parser database the first time it
	  needs to locate a class, so it will work even if the parser service
	  is busy parsing assemblies.

2006-07-24 Lluis Sanchez Gual  <lluis@novell.com> 

	* lib/libstetic.dll: Updated from stetic module. Fixes a bug
	  in the table wrapper which may cause an endless loop.

2006-07-05 Matej Urbas <matej.urbas@gmail.com>

	* MonoDevelop.GtkCore/GtkCoreService.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.WidgetLibrary/BaseWidgetLibrary.cs: Updated to use
	  ReturnType as BaseTypes in IClass instances.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* lib/*: Updated from Stetic module.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Fixed automatic
	  layout switch policy.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Fix showing of
	  action group view.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs: Properly
	  bind actions when pressing "BindToField".
	  
	* MonoDevelop.GtkCore.addin.xml: Updated versions. 

2006-06-29  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.GtkCore.addin.xml: Only display WidgetBuilderOptionPanel 
	for "DotNet" projects.

2006-06-19  Lluis Sanchez Gual  <lluis@novell.com>

	* lib/*: Updated from Stetic module.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Switch to the
	  designer workbench layout when selecting an action group file.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs: Support jumping
	  to signal hanlder when double-clicking it in the signals editor.
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Removed debug code.
	
	* templates/ActionGroup.xft.xml:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs: 
	  Fix code generation of action groups.

2006-06-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/GtkCoreService.cs: If a member has a [Browsable(false)]
	  attribute, don't add it to the objects.xml file. Also don't add
	  read-only properties.
	* lib/*: Updated from stetic module. Fixes bugs #78622 and #78620.
	  Adds an icon for expander and fixes a bug in ColorButton (fix by ml)

2006-06-11  Lluis Sanchez Gual  <lluis@novell.com>

	* lib/libsteticui.dll:
	* MonoDevelop.GtkCore.GuiBuilder/MonoDevelopWidgetActionBar.cs:
	  Track changes in the api.

2006-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* libs/*: Updated from stetic module. Several improvements.
	  Also fixes bug #78160.
	
2006-05-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderDisplayBinding.cs:
	  Added DisplayName property.

2006-05-29  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: reverted interface changes - missing file change
	
2006-05-29  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: reverted interface changes

2006-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* libs/*: Updated from stetic module. Adds support for toolbars.

2006-05-23  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: track api changes
	
2006-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.Commands/GladeCommands.cs:
	* MonoDevelop.GtkCore.NodeBuilders/ProjectFolderNodeBuilderExtension.cs:
	* MonoDevelop.GtkCore.addin.xml: Added commands for creating
	  an action group and editing the project icons.
	  
	* MonoDevelop.GtkCore.NodeBuilders/WidgetNodeBuilder.cs: Show local
	  action groups as children of the window node.
	
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolder.cs:
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs: Moved
	  some event subscriptions to WindowsFolder.cs
	
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: 
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs: Open the
	  corresponding file when clicking on local action groups.
	  
	* Makefile.am:
	* MonoDevelop.GtkCore.mdp: Added action group template.
	
	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: Added support for
	  action group file templates.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs: Notify changes in
	  local action groups.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Don't show the actions
	  tab until there is at least one action group.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderPropertiesPad.cs: Don't show
	  properties or signals for global actions.
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Added virtual method
	  OnActiveDocumentChanged, which is called when the view is brought to front.
	  
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs:
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Use the new MemberName
	  field when binding fields.
	  
	* MonoDevelop.GtkCore.GuiBuilder/MonoDevelopActionGroupToolbar.cs:
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs: Several minor fixes.
	  
	* lib/*: Updated.
	  

2006-05-12 Lluis Sanchez Gual  <lluis@novell.com>

	* Initial support for the menu editor. Still very unstable!!
	
	* lib/*: Updated from Stetic module.
	* MonoDevelop.GtkCore.addin.xml: Register a node builder and and
	  display binding for action groups.
	* MonoDevelop.GtkCore.NodeBuilders/WindowsFolderNodeBuilder.cs: Update
	  the folder when action groups change.
	* MonoDevelop.GtkCore/GtkCoreService.cs: Fix nullref.
	
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs: Factorized
	  some code into CodeBinder.cs
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Factorized some
	  code into CombinedDesignView.cs.
	
	* MonoDevelop.GtkCore.NodeBuilders/ActionGroupNodeBuilder.cs: New node
	  builder for action groups.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupDisplayBinding.cs: New display
	  binding for editing global action groups.
	* MonoDevelop.GtkCore.GuiBuilder/MonoDevelopWidgetActionBar.cs: Moved from
	  GuiBuilderView.cs.
	* MonoDevelop.GtkCore.GuiBuilder/MonoDevelopActionGroupToolbar.cs: A new
	  toolbar for the action group designer.
	* MonoDevelop.GtkCore.GuiBuilder/ActionGroupView.cs: A view for editing
	  global action groups.
	* MonoDevelop.GtkCore.GuiBuilder/CodeBinder.cs: Moved here some code
	  from GuiBuilderEditSession.cs.
	* MonoDevelop.GtkCore.GuiBuilder/CombinedDesignView.cs: Moved here some
	  code from GuiBuilderView.cs.

	* Makefile.am:
	* MonoDevelop.GtkCore.mdp: Added new files.
	
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Track api changes.
	
2006-05-05 Lluis Sanchez Gual  <lluis@novell.com>

	* lib/libstetic.dll: Updated from Stetic module. Includes
	  a fix for bug #78307.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.addin.xml: Updated versions.
	* MonoDevelop.GtkCore.mdp: Updated.

2006-05-03 Lluis Sanchez Gual  <lluis@novell.com>

	* lib/*: Updated from Stetic module. Includes fixes for
	  bugs #78266, #78240 and #78276.
	
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderWindow.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs:
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Track changes
	  in the Stetic API.

2006-04-24 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProject.cs: Don't
	  crash if a stetic project can't be loaded. Fixes bug #78169.
	* lib/libstetic.dll: Updated from Stetic module. Fixes bug #78167.

2006-04-18 Lluis Sanchez Gual  <lluis@novell.com>

	* libs/*: Updated from stetic module. Fixed construction of
	  scales and scrollbars.

2006-04-19 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore.WidgetLibrary/ProjectClassDescriptor.cs: When
	  creating a widget from a widget design, remove the signals since
	  those signals reference handlers in the widget class, not the
	  widget container class.

2006-04-18 Lluis Sanchez Gual  <lluis@novell.com>

	* libs/*: Fix nullref in some themes.

2006-04-10 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/WidgetFileDescriptionTemplate.cs: Fix typo.
	* libs/*: Fix for #78111, #78092 and #78090.

2006-04-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.GtkCore/ProjectResourceProvider.cs: Save the project
	  after adding or removing a resource.

2006-04-03 Lluis Sanchez Gual  <lluis@novell.com>

	* lib/*: Updated.

2006-03-31 Lluis Sanchez Gual <lluis@novell.com>

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Get open
	  combine events in the GUI thread.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs: Properly
	  delete signals for which there isn't a handler. Half fixed field
	  renaming.
	* lib/*: Updated.

2006-03-31 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore/MonoDevelop.GtkCore.addin.xml: Fix ID and
	  description. Added stetic config files to add-in package.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.GtkCore.addin.xml: Updated references.

2006-03-29 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs:
	  Don't crash if no parse info is available for the file
	  being edited. Should fix #77885.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Don't show
	  the bind to field button for the root container.
	* lib/*: Updated.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* MonoDevelop.GtkCore.addin.xml: Updated add-in versions.

2006-03-22 Lluis Sanchez Gual  <lluis@novell.com>    

	* MonoDevelop.GtkCore.addin.xml:
	* MonoDevelop.GtkCore.mdp: Removed GladeFileDisplayBinding.
	* lib/*: Updated.
	* Makefile.am: Updated. Some files have been moved to Stetic.
	
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderService.cs: Fixed
	  layout switching. Don't show the widget tree pad by default,
	  since it is already available as a combo in the designer.
	* MonoDevelop.GtkCore.GuiBuilder/GladeFileDisplayBinding.cs: Removed.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderPropertiesPad.cs: use
	  the new property tree instead of the grid.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: The designer
	  toolbar has been moved to Stetic.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderProjectPad.cs: Changed
	  default placement.

2006-03-19  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* .: Added Makefile.in and Makefile to svn:ignore.

2006-03-15 Lluis Sanchez Gual  <lluis@novell.com>    

	* Makefile.am:
	* MonoDevelop.GtkCore.mdp: Updated.
	
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderEditSession.cs:
	* MonoDevelop.GtkCore/GtkDesignInfo.cs: Added support for using
	  resource images in the designer.
	  
	* MonoDevelop.GtkCore/GtkCoreService.cs: Check if the objects.xml
	  file exists before loading it.
	* MonoDevelop.GtkCore/GeneratorBuildStep.cs: Don't generate code
	  if the stetic file has not been modified since the last
	  generation.
	* MonoDevelop.GtkCore.Dialogs/WidgetBuilderOptionPanel.cs: If Gtk
	  support is not enabled, don't enable it if no widgets have
	  been selected.
	* lib/libstetic.dll: Updated.
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Mapped some
	  commands.
	* templates/Window.xft.xml: The constructor of Gtk.Window requires
	  the title of the window.

2006-03-04 Lluis Sanchez Gual  <lluis@novell.com>    

	* MonoDevelop.GtkCore.mdp, Makefile.am: Updated.
	* MonoDevelop.GtkCore/GeneratorBuildStep.cs: When generating
	  code for a project that exports widgets, include the own
	  project library to the generation, since there can be
	  widgets that contain other widgets defined in the project.
	* MonoDevelop.GtkCore.WidgetLibrary/ProjectClassDescriptor.cs:
	  removed some IdeApp dependencies.
	* MonoDevelop.GtkCore.WidgetLibrary/ProjectWidgetLibrary.cs:
	  added method for getting the class information from
	  a project.
	* CachedProjectWidgetLibrary.cs: New widget library class
	  which takes class information from a collection of 
	  ProjectClassInfo objects.
	* MonoDevelop.GtkCore.WidgetLibrary/ProjectPropertyDescriptor.cs:
	  Consider all properties runtime-properties, since they have 
	  been created from class properties.
	* lib/*: Updated.

2006-03-03 Lluis Sanchez Gual  <lluis@novell.com>    

	* Makefile.am: removed debug files.

2006-03-02 Lluis Sanchez Gual  <lluis@novell.com>    
 
	* MonoDevelop.GtkCore.GuiBuilder/GuiBuilderView.cs: Propagate
	  project changes to the editor.
 
2006-03-02 Lluis Sanchez Gual  <lluis@novell.com>   
 
	Initial implementation of the Stetic add-in.
